Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Update documentation for release v0.3.1.

  • Loading branch information...
commit 399608a8f46e0baa7e5eb50ec09ae588d3406fc0 1 parent efc5579
@neotyk authored
Showing with 9 additions and 6 deletions.
  1. +5 −4 README.markdown
  2. +2 −0  changelog.org
  3. +1 −1  docs.org
  4. +1 −1  index.org
View
9 README.markdown
@@ -8,7 +8,7 @@ Declare dependency:
:description "Your project description"
:dependencies [[org.clojure/clojure "1.2.1"]
[org.clojure/clojure-contrib "1.2.0"]
- [http.async.client "0.3.0"]])
+ [http.async.client "0.3.1"]])
Require:
@@ -16,9 +16,10 @@ Require:
GET resource:
- (let [response (c/GET "http://github.com/neotyk/http.async.client/")]
- (c/await response)
- (c/string response))
+ (with-open [client (c/create-client)]
+ (let [response (c/GET client "http://neotyk.github.com/http.async.client/")]
+ (c/await response)
+ (c/string response)))
## Information over *http.async.client*
View
2  changelog.org
@@ -3,6 +3,8 @@
#+EMAIL: neotyk@kungfoo.pl
#+SETUPFILE: setup.org
+* Release 0.3.1
+** Upgrade async-http-client to v1.6.4
* Release 0.3.0
** Upgrade async-http-client to v1.6.3
** Control over preemptive authentication
View
2  docs.org
@@ -12,7 +12,7 @@
:description "Your project description"
:dependencies [[org.clojure/clojure "1.2.1"]
[org.clojure/clojure-contrib "1.2.0"]
- [http.async.client "0.3.0"]])
+ [http.async.client "0.3.1"]])
#+END_SRC
Make sure that your project depends on at least 1.2.0 Clojure as
*http.async.client* will not run in earlier versions.
View
2  index.org
@@ -13,7 +13,7 @@
:description "Your project description"
:dependencies [[org.clojure/clojure "1.2.1"]
[org.clojure/clojure-contrib "1.2.0"]
- [http.async.client "0.3.0"]])
+ [http.async.client "0.3.1"]])
#+END_SRC
Require:
Please sign in to comment.
Something went wrong with that request. Please try again.